module ForemanMaintain::ReposManager
	class YumConfigManager
		include ForemanMaintain::Concerns::ElReposManagerCommon
		
		def disable_repos(repo_ids)
      execute!("yum-config-manager --disable #{repo_ids.join(',')}")
    end

    def enable_repos(repo_ids)
      execute!("yum-config-manager --enable #{repo_ids.join(',')}")
    end

    def enabled_repos_hash
    	repos = execute("yum repolist enabled -d 6 -e 0 2> /dev/null | grep -E 'Repo-id|Repo-baseurl'")
    	return {} if repos.empty?

    	Hash[*repos.delete!(' ').split("\n")]
  	end
	end
end